Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.smals.ehealth.codage.beans
Class ObjectFactory

    java.lang.Object
      be.smals.ehealth.codage.beans.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.smals.ehealth.codage.beans package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.smals.ehealth.codage.beans

Method Summary
`ChoiceDecodedDataErrorType` | `createChoiceDecodedDataErrorType()` Create an instance of `ChoiceDecodedDataErrorType`
`ChoiceEncodedDataErrorType` | `createChoiceEncodedDataErrorType()` Create an instance of `ChoiceEncodedDataErrorType`
`DecodedDataType` | `createDecodedDataType()` Create an instance of `DecodedDataType`
`DecodeRequest` | `createDecodeRequest()` Create an instance of `DecodeRequest`
`DecodeResponse` | `createDecodeResponse()` Create an instance of `DecodeResponse`
`EncodedDataType` | `createEncodedDataType()` Create an instance of `EncodedDataType`
`EncodeRequest` | `createEncodeRequest()` Create an instance of `EncodeRequest`
`EncodeResponse` | `createEncodeResponse()` Create an instance of `EncodeResponse`
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`GlobalErrorType` | `createGlobalErrorType()` Create an instance of `GlobalErrorType`
`OriginalDataType` | `createOriginalDataType()` Create an instance of `OriginalDataType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.smals.ehealth.codage.beans

Method Detail

### createDecodeResponse

    public DecodeResponse createDecodeResponse()

  Create an instance of `DecodeResponse`

### createGlobalErrorType

    public GlobalErrorType createGlobalErrorType()

  Create an instance of `GlobalErrorType`

### createChoiceDecodedDataErrorType

    public ChoiceDecodedDataErrorType createChoiceDecodedDataErrorType()

  Create an instance of `ChoiceDecodedDataErrorType`

### createDecodeRequest

    public DecodeRequest createDecodeRequest()

  Create an instance of `DecodeRequest`

### createEncodedDataType

    public EncodedDataType createEncodedDataType()

  Create an instance of `EncodedDataType`

### createEncodeRequest

    public EncodeRequest createEncodeRequest()

  Create an instance of `EncodeRequest`

### createOriginalDataType

    public OriginalDataType createOriginalDataType()

  Create an instance of `OriginalDataType`

### createEncodeResponse

    public EncodeResponse createEncodeResponse()

  Create an instance of `EncodeResponse`

### createChoiceEncodedDataErrorType

    public ChoiceEncodedDataErrorType createChoiceEncodedDataErrorType()

  Create an instance of `ChoiceEncodedDataErrorType`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createDecodedDataType

    public DecodedDataType createDecodedDataType()

  Create an instance of `DecodedDataType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.